/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.maintain;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.pojo.maintain.Dispatch;
import com.tofly.pojo.maintain.vo.DispatchVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 
 *
 * @author wangzhun
 * @date Wed May 11 00:00:00 CST 2022
 */
public interface DispatchService extends IService<Dispatch> ,ViewConversion<DispatchVo,Dispatch>{


    public  DispatchVo  entityToVo(Dispatch dispatch);


    public  Boolean checkHasDispatched(Dispatch dispatch);


    public  void checkStatusChange(Dispatch dispatch);


    public void uploadFile(Dispatch dispatch, List<MultipartFile> fileList);
}
